**`LEE GIBBONS`[NAME]** -NL- tel: **`07958 901 551`[PHONES_PHONE]**, email: **`lee.gibbons@gmail.com`[EMAILS_EMAIL]** -NL- **`Skills Summary`[SKILLS_HEADING]** -NL- TECHNOLOGIES: -NL- REST, Groovy, Gradle, Git, Javascript, Springboot, Angular, React -NL- JAVA & J2EE (17 years) : -NL- Java 8, Spring, Spring Boot , Hibernate, JAXB, JMS, JUNIT, -NL- Spock, EasyMock -NL- Databases -NL- Oracle (12 years), PL/SQL, SQL Loader, SQL Server, Postgres and -NL- MySQL -NL- **`Career Summary`[SUMMARY_HEADING]** -NL- 20+ years experience developing systems using Java and open source technologies across multiple -NL- industries including media, insurance, telecoms and banking. Worked on back end, middle tier and -NL- front end applications for both windows and unix. Experienced the full development lifecycle. -NL- **`Career History`[WORK_EXPERIENCE_HEADING]** -NL- Jan 18 – Current -NL- **`REED`[EMPLOYER_COMPANY_NAME]** – XMS and GDPR Projects -NL- **`Senior Java Developer`[EMPLOYER_ROLE]** -NL- Working on two projects -NL- XMS a large projects providing infrastructure supporting reed recruitment services. The project had -NL- an Oracle database backing, was a suite of spring boot applications and a front end that made use of -NL- Bootstrap and Angular and the time I was there the use of the project was rolled out across the whole -NL- of reed satellite offices. We operated in an agile environment with a teamof 20 other developers -NL- GDPR Project this project had phase 1 developed offshore and I was part of a team of 2 that brought -NL- the project in house and developed phase 2. Providing the ability for people interacting with Reed to -NL- request that their details are deleted and forgotten. This project also had Oracle database back end -NL- involved two front ends written in Java with React.js and a pure java middle tier, rest, linked to an -NL- Oracle backend via Apache MQ queues. -NL- The front end for both projects were responsive and catered to mobile users and web based users. -NL- Dec 16 – Dec 17 -NL- **`Sky`[EMPLOYER_COMPANY_NAME]** - PCMS Project -NL- **`Java Developer`[EMPLOYER_ROLE]** -NL- Worked on an in house developed CMS system. -NL- The code I worked on had two purposes : -NL- A rest based API supporting an angular and html front end allowing upload and structuring of asset -NL- content into collections and menus -NL- Writing out json rest feeds to support NowTV in Ireland, Great Britain, Germany and Italy, the -NL- migration of the CatFeeds json rest feeds onto the new PCMS platform so supporting SkyGo for -NL- playstation and xbox consoles and writing an xml feed to allow **`Sky`[EMPLOYER_COMPANY_NAME]** content to be played via Apple TV -NL- The project was a microservices project written using Spring Boot and running in a docker container -NL- hosted on AWS infrastructure. -NL- All the tests for the project were written using Spock. -NL- Mar 16– Dec 16 -NL- **`Sky`[EMPLOYER_COMPANY_NAME]** - CatFeeds Project -NL- **`Java Developer`[EMPLOYER_ROLE]** -NL- Worked on two applications whilst at BSKYB both producing REST responses. -NL- Worked on an application to support SKYGO applications formatting content managed data into REST -NL- responses to display menu information for playstation, IOS, android and web clients. The data being -NL- extracted form an Oracle database created using a Vignette Content Management System, the feeds -NL- generated and code to generate the feeds were tested by a combination of Spock Groovy tests and -NL- Cucumber integration tests. The feeds were cached internally using hazelcast and also externally by a -NL- third party cache CDN provider Akamai. The work involved an element of out of hours support, and -NL- Kibana was used to collate production logs allowing us to generate dashboards displaying time taken -NL- to produce the feeds and also to interrogate the logs to determine problems that may have occurred. -NL- . -NL- 1 -NL- Mar 12 – Dec 15 -NL- **`Deutsche Bank`[EMPLOYER_COMPANY_NAME]** -NL- **`Java and Grails Developer`[EMPLOYER_ROLE]** -NL- Enhancing CapM (the capacity application I had worked on until Sept 11) to produce PDF reports on -NL- schedule and on demand and emailing these out to interested individuals, this replaced a Python -NL- component of the application which had required its own separate server and skilled developers. -NL- Working on a greenfield dbCapacity application (a replacement for CapM) providing reports and -NL- analysis of server capacity from DB’s 70,000 servers. The application allowed users to create their own -NL- dashboards displaying server information, was more application data centric and more device friendly -NL- by being written with responsive CSS resizing HTML to supporting IPAD and mobile access. I wrote calls -NL- to a REST API to gather new supplementary source data. I prototyped and developed several screens to -NL- display database related information which replaced an existing Oracle APEX application to perform the -NL- same function. The application has a rich UI which involved writing, interfacing to and using several -NL- javascript libraries and CSS frameworks including Bootstrap, Highcharts, JQuery and Moment.I also -NL- helped out where needed in writing server side Oracle stored procedures. -NL- Sept 11 – Mar 12 -NL- **`Lloyds Banking`[EMPLOYER_COMPANY_NAME]** -NL- **`Java and Grails Developer`[EMPLOYER_ROLE]** -NL- Until my arrival at Lloyds, Grails had never been used within Lloyds. -NL- For several weeks I ran demos to various teams and departments highlighting the benefits of grails in -NL- terms of speed of development and ease of use. -NL- The development work done was as part of the middleware department -NL- I worked on two projects: -NL-  TEXAS which is a console providing querying and reporting on IMB MQ message flows used to -NL- update counter party information and provide strategic settlement instructions to multiple end -NL- systems. I was the sole developer for the project and it evolved via iterative prototyping. The -NL- project had integration and unit tests of the main controllers and selenium web tests testing some -NL- front end functionality, the integration and unit tests ran in a continuous integration fashion with -NL- Jenkins and cobertura charting test coverage progress. -NL-  MQ Console which was a prototype presenting to the users relevant IBM MQ event messages and -NL- access to relevant logging. This involved using JMS within grails to read messages and writing -NL- specific conversion code to convert IBM MQ PCF format messages into grails domain data. -NL- Both projects within Lloyds acted as facilitators to the handover of support tasks to first line support -NL- and away from technical development teams. -NL- May 10 – Sept 11 -NL- **`Deutsche Bank`[EMPLOYER_COMPANY_NAME]** -NL- **`Java and Grails Developer`[EMPLOYER_ROLE]** -NL- Working on a CapM application providing reports and analysis of server capacity from DB’s 70,000 -NL- servers. The system was written using Java and Grails providing pdf and on demand graph rich -NL- reports backed by Oracle BPM workflow. On joining the project the grails application became my sole -NL- responsibility, I wrote maintained and released the application across all environments. The -NL- application contained detailed hibernate O-R mapping persisting to an Oracle database and quite -NL- heavy use of JQuery javascript framework to provide a rich UI web based front end. -NL- Feb 10 – May 10 -NL- **`BSkyB`[EMPLOYER_COMPANY_NAME]** - **`Sky`[EMPLOYER_COMPANY_NAME]** Energy -NL- **`Java and Grails Developer`[EMPLOYER_ROLE]** -NL- Working on **`Sky`[EMPLOYER_COMPANY_NAME]** Energy microsite. The work involved writing code to make rest calls returning -NL- electricity usage information from a partner company, AlertMe, to allow the data to be converted to -NL- graph format for user perusal. The majority of the work I undertook was writing grails services, gsp -NL- pages, tag libraries, controllers and associated tests. Pair programming was used mainly as a way to -NL- mentor junior developers and ensure knowledge was spread throughout the team. I also wrote -NL- groovy scripts to make rest calls retrieving tariff pricing information for all the energy providers in the -NL- uk, calls were to a leading comparison based switching service provider. Selenium web testing -NL- framework was used to automatically test the pages in both internet explorer and firefox. -NL- Jan 09 – Dec 09 -NL- **`BBC`[EMPLOYER_COMPANY_NAME]** -NL- **`Java Developer`[EMPLOYER_ROLE]** -NL- Worked on writing a Social Network API to allow **`BBC`[EMPLOYER_COMPANY_NAME]** sites to report the activities, actions and -NL- interests that friends and acquaintances undertake and have. The application was test driven, used -NL- subversion code repository and hudson to provide continuous integration functionality. The API -NL- interfaces to Facebook, Twitter and **`BBC`[EMPLOYER_COMPANY_NAME]** iplayer and follows the REST opensocial specification using -NL- Apache Shindig. -NL- I was a member of a very small team 3 people. My role involved maintaining and enhancing -NL- application code. I was also the sole developer responsible for code to repartition data when database -NL- partitions need changing and code to archive data older than a particular date via a quartz based -NL- scheduler, both these pieces were written in Groovy. -NL- 2 -NL- During my time on the team I also wrote JMeter tests to perform basic load testing of the -NL- application and used Yourkit profiling to analysis the application and look for performance -NL- bottlenecks. -NL- Sept 07 – Nov 08 -NL- **`BskyB`[EMPLOYER_COMPANY_NAME]** - **`Sky`[EMPLOYER_COMPANY_NAME]**.com -NL- **`Java and Grails Developer`[EMPLOYER_ROLE]** -NL- Rewrote **`Sky`[EMPLOYER_COMPANY_NAME]**.com and the associated CMS to allow content editors to publish page changes more -NL- often and improve site performance and stability. -NL- Highlights of this position were -NL-  the work followed agile XP methodologies i.e. test driven development, continuous integration, -NL- daily pair working, weekly team planning exercises , weekly releases and daily standing scrums -NL-  greenfield Grails development, mentoring was provided from **`Sky`[EMPLOYER_COMPANY_NAME]** by purchasing consultancy time -NL- from Graeme Rocher and the G2 development team -NL-  used quartz to schedule page publishing on a jetty application server with postgres database -NL- (updated using hibernate). -NL-  single click release application written using bash and groovy -NL-  pair programming providing equal input to front end, back end and release application code -NL-  team responsibility and control of project direction including technologies used, control of the -NL- production environment, release after each showcase and providing second level out of hours -NL- support -NL- April 06 – Sept 07 -NL- **`BskyB`[EMPLOYER_COMPANY_NAME]** - **`Sky`[EMPLOYER_COMPANY_NAME]**.com -NL- **`Java Developer`[EMPLOYER_ROLE]** -NL- The following **`Sky`[EMPLOYER_COMPANY_NAME]**.com and SkyBroadband.com based work used Vignette Application Portal V7, -NL- Spring MVC framework and Websphere 5.1.1 application server. -NL- July 07 – Dec 07 -NL- Team leading a team of 6 developers on the redesign and development work -NL- of the **`Sky`[EMPLOYER_COMPANY_NAME]**.com homepage for the online business unit, including the introduction of tabbed feed -NL- driven portlets displaying news, sports and showbiz information, a weather portlet to retrieve and -NL- transform weather data and a flash based carousel object driven from XML stored and retrieved from -NL- Vignette. The team included 2 new developers and I had to lead them by mentoring, helping them -NL- write their code by providing guidance on best practices and similar code samples. -NL- Mar 07 – Jul 07 -NL- Worked on the introduction of Snapfish photos onto **`Sky`[EMPLOYER_COMPANY_NAME]**.com tools page. Also -NL- worked on **`Sky`[EMPLOYER_COMPANY_NAME]**.com hompage writing JSP code for the inclusion of leaderboard and skyscaper adverts -NL- (including writing a new tag library to retrieve the content from Vignette and using this within a -NL- Vignette Style). -NL- Jan 07 – Mar 07 -NL- Prototype work writing against a SOA ESB platform using a Cape Clear BPEL -NL- engine to provision new email users with partners Google and Snapfish , the work entailed wrapping -NL- REST calls as Web Services and stringing the web service calls together to provision users. -NL- Sept 06 – Jan 07 -NL- Proof of concept work to display email, online contacts information, calendar -NL- appointments and chat information all services provided by Google on a web page with AJAX updates. -NL- Also carried out ongoing support tasks for SkyBroadband.com with the occasional change request and -NL- bug fix. -NL- April 06 – Sept 06 -NL- Worked in a small team writing web based portlets (JSR168). Was given -NL- ownership of the email portal for which I wrote portlets (jsp’s, controllers, model and helper classes) -NL- which used JavaMail (IMAP protocol). This provided a complete email service to all customers of **`Sky`[EMPLOYER_COMPANY_NAME]** -NL- Broadband. -NL- Feb 05 – Feb 06 -NL- **`ACE*COM`[EMPLOYER_COMPANY_NAME]** -NL- **`Senior Developer `[EMPLOYER_ROLE]**-NL- I was the main developer working on a tool to parse data files produced by telecoms switches -NL- into normalised form (XML, binary or ascii) written as a multi-threaded java application using XML, -NL- LOG4J with the Eclipse IDE. The specification of how to parse these files was provided by the user as -NL- XML configuration files. I wrote the schema document for the project which defined the validation -NL- rules for the XML configuration files. The initial client for this work was TurkTel (Turkish -NL- telecommunications operator). -NL- I also worked in a 2 developer team on a revenue assurance system which highlighted billing -NL- discrepancies. The work involved extracting data from -NL- various data warehouses , making transformations of the data then reloading it to provide feeds to -NL- reports. I worked closely with the business analyst to diagnose and fix various reports comprised of -NL- unix scripts and PL/SQL stored procedures. I enhanced, provided fixes and performance tuned the -NL- reports and database extraction and load routines. The client was Telekom Austria and the work -NL- 3 -NL- sometimes entailed visiting client site in Vienna to undertake data extraction tasks and make -NL- releases of the reporting systems. -NL- Feb 04 – Feb 05 -NL- NTL (via **`2helix consultancy`[EMPLOYER_COMPANY_NAME]**) -NL- **`Developer`[EMPLOYER_ROLE]** -NL- I wrote JAVA applications to connect to, query and update circuit and equipment information -NL- in both Oracle and an object store database called Cortex supplied by Protek. -NL- I solely -NL-  wrote JAVA applications that reversed circuits, joined two circuits together and split circuits in -NL- two using JDBC to connect to the Cortex database. -NL-  developed a servlet-based web application allowing users to query, reverse, join and split -NL- existing circuits -NL-  introduced the use of log4j into the JAVA applications being written including the use of its -NL- SMTP appender to send email reports when each batch job finished. -NL- As part of the development team -NL-  I wrote ant scripts to allow the code to be compiled by users without JAVA expertise. -NL- Jan 02 – Feb 04 -NL- **`FSA `[EMPLOYER_COMPANY_NAME]**-NL- **`Senior Developer `[EMPLOYER_ROLE]**-NL- Worked on a system that providing a means of submitting regulatory complaints and approved -NL- person applications -NL-  wrote a JAVA database update program which used BC4J to make database connections, -NL- selects, inserts and updates -NL-  wrote a JMS EJB to retrieve and store queued data to an Oracle advanced queue. -NL-  developed a prototype reporting tool using JAVA Swing and Apache POI to produce a daily -NL- excel report based on an ORACLE table of audit data. -NL-  wrote marshalling code using JAXB to convert the JAVA objects into XML and back to Java -NL- again. -NL-  wrote a logger wrapper to the Apache Foundation’s LOG4J and several different logging -NL- appenders allowing logging to both files and the database. -NL-  wrote UML use case diagrams as part of requirements gathering stage. -NL- Worked on a workflow system managing work loads across teams. I wrote JSP pages following the -NL- STRUTS MVC design pattern which interfaced to Microsoft Sharepoint document storage system. I -NL- worked mainly on the Insurance Firms Division (IFD) part of the application. -NL- Nov 00 – Dec 01 -NL- NTL (via **`2helix consultancy`[EMPLOYER_COMPANY_NAME]**) -NL- **`Web Developer `[EMPLOYER_ROLE]**-NL- Worked on systems that brought together data from a series of telecommunications companies that -NL- NTL had acquired. -NL- I soley -NL-  wrote a JAVA servlet to generate excel compatible charts on a UNIX Server using a third party -NL- series of class files called “Formula One for JAVA” by Actuate. -NL-  took open source FTP code and wrapped it to create a JAVA stored procedure to allow files to -NL- be exported directly from a database. -NL- As part of a 2 person developer team I -NL-  developed a reporting package consisting of a dozen reports using Oracle’s OWA packages. -NL- Sep 00 – Nov 00 -NL- **`BUPA Strategy Team`[EMPLOYER_COMPANY_NAME]** -NL- **`Senior Developer `[EMPLOYER_ROLE]**-NL- I wrote a middle tier system for use with numerous BUPA applications. The system comprised of a -NL- java servlet module which converted XML calls to remote procedure calls, XMLRPC. It facilitated a way -NL- through Bupa’s firewall for web based applications. -NL- Jun 99 – Sep 00 -NL- **`BUPA Web Team`[EMPLOYER_COMPANY_NAME]** -NL- **`Developer`[EMPLOYER_ROLE]** -NL- Worked on the CHARMS system that facilitated the management of 180 care homes. -NL-  developed front-end code in Swing related to the Staff Maintenance functionality. -NL-  developed the most complex screen of the system displaying different shift time bands as -NL- multicoloured graphical bands within tables. -NL-  developed using the XP methodology (pair working, test upfront, deliver regularly). -NL-  developed JUnit tests for individual objects and object interaction to allow automated testing. -NL-  wrote several functions which calculated the amount of time worked and fed the data into a -NL- payroll system. -NL- Oct 98 – Jun 99 -NL- **`BUPA Strategy Team`[EMPLOYER_COMPANY_NAME]** -NL- **`Oracle Developer`[EMPLOYER_ROLE]** -NL- 4 -NL- Worked on IBS (Internet Booking System) to allow the booking of health screenings at a central -NL- location and call centres across the country. -NL-  sole owner of the database design and server code for the project -NL-  wrote interfaces to a Peoplesoft accounting system and 2 data warehousing projects -NL-  wrote the data migration SQL Loader scripts for the role out of the system to 11 screening -NL- centres (non-ORACLE in house to ORACLE centralised). -NL- Nov 97 – Oct 98 -NL- **`MINISTRY of DEFENCE `[EMPLOYER_COMPANY_NAME]**-NL- **`Oracle Developer`[EMPLOYER_ROLE]** -NL- I worked on a logistics system used by the army to assess various scenarios and calculate the -NL- feasibility of various lines of action. This position required that I became security cleared. -NL-  I performance tuned the equipment sustainability engine, the key part of the application. -NL-  I worked on a series of reports that were generated from ORACLE Forms but presented in -NL- Microsoft Office using OLE automation. -NL-  I enhanced and maintained existing forms -NL-  I worked on the conversion of the project from VGA to SVGA. -NL- Mar 97 – Oct 97 -NL- **`CAP GEMINI `[EMPLOYER_COMPANY_NAME]**-NL- **`Senior Oracle Developer `[EMPLOYER_ROLE]**-NL- Worked as part of a large team (circa 15-20 developers) for a large insurance client -NL-  followed the DSDM RAD work methodology. -NL-  solely wrote a library module of PL/SQL functions providing various fee calculations -NL-  used Designer 2000 for 100% forms generation. -NL- Feb 95 - Feb 97 **`FRETWELL DOWNING DATA SYSTEMS `[EMPLOYER_COMPANY_NAME]**-NL- **`Developer`[EMPLOYER_ROLE]** -NL- Worked on applications related to the management of further and higher education establishments -NL- using a combination of Oracle Forms 4:5 and VB 3 & 4. -NL-  incorporated till transactions, -NL-  wrote code to allow the system to capture a student photo -NL-  wrote code to allow bar code printing and scanning -NL-  wrote code to allow the production of ID cards -NL- **`Education`[EDUCATION_HEADING]** -NL- **`Keele University`[EDUCATION_INSTITUTE]**: -NL- **`BSc`[EDUCATION_DEGREE]** Hons 2:2**` Computer Science & Management Science`[EDUCATION_COURSE]** -NL- Dearneside Secondary: 4 GCE A Levels & 7 GCE O Levels -NL- At the end of 2008 I also attended a Scrum master course the aim was to provide backing to the -NL- experience gained at **`Sky`[EMPLOYER_COMPANY_NAME]**. -NL- 5 -NL- 